Bug 20127 - Creating project with the name ending with space fires FileStateInvalidException
Creating project with the name ending with space fires FileStateInvalidException
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
-FFJ-
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: Vitezslav Stejskal
issues@platform
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 17:15 UTC by Jaromir Uhrik
Modified: 2003-02-04 14:38 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2002-02-04 17:15:51 UTC
[FFJ3.0, build #010817; last jdk1.4]
1. Create new project (menu Project|Project Manager, button New).
2. Fill in the name of the project ending with space character
3. Exception (below) will pop up

Mon Feb 04 18:05:48 CET 2002: 
org.openide.filesystems.FileStateInvalidException: File NewProject  cannot be 
found in folder Projects.
org.openide.filesystems.FileStateInvalidException: File NewProject  cannot be 
found in folder Projects.
        at org.openide.filesystems.AbstractFileObject.createFolder
(AbstractFileObject.java:316)
        at org.openide.filesystems.FileUtil.createFolder(FileUtil.java:161)
        at org.openide.filesystems.MultiFileObject.createFolder
(MultiFileObject.java:737)
        at org.openide.filesystems.FileUtil.createFolder(FileUtil.java:161)
        at org.openide.filesystems.MultiFileObject.createFolder
(MultiFileObject.java:737)
        at org.openide.filesystems.FileUtil.createFolder(FileUtil.java:161)
        at org.netbeans.modules.projects.ProjectDataObject$1.run
(ProjectDataObject.java:67)
        at org.openide.filesystems.EventControl.runAtomicAction
(EventControl.java:69)
        at org.openide.filesystems.FileSystem.runAtomicAction
(FileSystem.java:366)
        at org.netbeans.modules.projects.ProjectDataObject.createProject
(ProjectDataObject.java:60)
        at org.netbeans.modules.projects.NewProjectAction.createProject
(NewProjectAction.java:99)
        at org.netbeans.modules.projects.ProjectManagerPanel.newProject
(ProjectManagerPanel.java:304)
        at org.netbeans.modules.projects.ProjectManagerPanel.access$1200
(ProjectManagerPanel.java:38)
        at org.netbeans.modules.projects.ProjectManagerPanel$11.run
(ProjectManagerPanel.java:267)
        at org.openide.util.Task.run(Task.java:124)
[catch] at org.openide.util.RequestProcessor$ProcessorThread.run
(RequestProcessor.java:626)
Comment 1 rmatous 2002-02-15 10:22:50 UTC
Problem is that name="abcde   " is created in OS filesystem as
"abcde". Then in LocalFileSystem after refresh is name also "abcde"
which doesn`t correspond to "abcde   " then exception is fired. 

From my point of view is result: wontfix.Perhaps the best place for
fixing is Project-name-dialog that could trim given name. 
Comment 2 _ ttran 2002-07-19 12:57:57 UTC
reopen and move to projects module.  We should trim (from both ends)
the project name the user types in the input dialog
Comment 3 Vitezslav Stejskal 2002-07-19 14:34:37 UTC
fixed in main trunk
Comment 4 Jaromir Uhrik 2002-10-14 13:47:22 UTC
Verified in dev build #200210140100


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo